Package it.ernytech.tdlib

## Class TdApi.RegisterDevice

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.RegisterDevice

Enclosing class:
  TdApi

    public static class TdApi.RegisterDevice
    extends TdApi.Function

Registers the currently used device for receiving push notifications.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.DeviceToken` `deviceToken` Device token.
`int[]` `otherUserIds` List of at most 100 user identifiers of other users currently using the client.

### Constructor Summary

Constructors
`RegisterDevice()` Default constructor.
`RegisterDevice​(TdApi.DeviceToken deviceToken, int[] otherUserIds)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### deviceToken

    public TdApi.DeviceToken deviceToken

Device token.

#### otherUserIds

    public int[] otherUserIds

List of at most 100 user identifiers of other users currently using the client.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### RegisterDevice

    public RegisterDevice()

Default constructor.

#### RegisterDevice

    public RegisterDevice​(TdApi.DeviceToken deviceToken,
                          int[] otherUserIds)

Constructor for initialization of all fields.

Parameters:
  `deviceToken` - Device token.
  `otherUserIds` - List of at most 100 user identifiers of other users currently using the client.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR